﻿Imports Newtonsoft.Json

Namespace SmsToApp.Messaging.Models.Single
    Public Class SingleMessageRequest

        <JsonProperty("message")>
        Public Property Message As String

        <JsonProperty("to")>
        Public Property [To] As String

        <JsonProperty("sender_id")>
        Public Property SenderId As String

        <JsonProperty("callback_url")>
        Public Property CallbackUrl As String

        Public Sub New(ByVal message As String, ByVal [to] As String, ByVal Optional senderId As String = Nothing, ByVal Optional callbackUrl As String = Nothing)
            Me.Message = message
            Me.To = [to]
            Me.SenderId = senderId
            Me.CallbackUrl = callbackUrl
        End Sub
    End Class
End Namespace
